package cn.com.tenlion.organizationmanagement.controller.route.organization;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: OrganizationController
 * @Description: 组织管理
 * @Author: CodeFactory
 * @Date: 2021-04-28 11:06:42
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "组织管理路由")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/organization")
public class OrganizationRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("organization/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("organization/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("organization/list");
    }

}